Loading...
Searching...
No Matches
xdr.c File Reference

GIS Library - XDR related functions. More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <grass/gis.h>`
`#include "G.h"`
Include dependency graph for xdr.c:

Go to the source code of this file.

## Functions

void | G_xdr_get_int (int *dst, const void *src)
void | G_xdr_put_int (void *dst, const int *src)
void | G_xdr_get_float (float *dst, const void *src)
void | G_xdr_put_float (void *dst, const float *src)
void | G_xdr_get_double (double *dst, const void *src)
void | G_xdr_put_double (void *dst, const double *src)

## Detailed Description

GIS Library - XDR related functions.

(C) 2012-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements

Definition in file xdr.c.

## Function Documentation

## G_xdr_get_double()

void G_xdr_get_double | ( | double * | dst,
|  | const void * | src )

Definition at line 89 of file xdr.c.

## G_xdr_get_float()

void G_xdr_get_float | ( | float * | dst,
|  | const void * | src )

Definition at line 79 of file xdr.c.

## G_xdr_get_int()

void G_xdr_get_int | ( | int * | dst,
|  | const void * | src )

Definition at line 69 of file xdr.c.

## G_xdr_put_double()

void G_xdr_put_double | ( | void * | dst,
|  | const double * | src )

Definition at line 94 of file xdr.c.

## G_xdr_put_float()

void G_xdr_put_float | ( | void * | dst,
|  | const float * | src )

Definition at line 84 of file xdr.c.

## G_xdr_put_int()

void G_xdr_put_int | ( | void * | dst,
|  | const int * | src )

Definition at line 74 of file xdr.c.